#include <iostream>

using namespace std;

int main()
{
    long long int V;
    int n=0, x;
    cin >> V;
    while(V>0)
    {
        x=V%10;
        V=V/10;
        if (x>4)
        {
            x-=5;
            n++;
        }
        if (x>1)
        {
            x-=2;
            n++;
        }
        if (x>1)
        {
            x-=2;
            n++;
        }
        if (x>0)
        {
            x--;
            n++;
        }
    }
    cout<<n;
}